Name:           abcde
Version:        2.9.3
Release:        2%{?dist}
Summary:        A Better CD Encoder

# cddb-tool is Public Domain, otherwise GPLv2+
License:        GPLv2+ and Public Domain
URL:            https://abcde.einval.com/
Source0:        https://abcde.einval.com/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-normalize.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1916974
Patch1:         https://bugzilla.redhat.com/attachment.cgi?id=1748056#/abcde-gnudb.patch

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
Requires:       cd-discid
Requires:       wget
Requires:       which
# cdparanoia, vorbis-tools for defaults
Requires:       cdparanoia
Requires:       vorbis-tools
# icedax for cd-text
Recommends:     icedax
Recommends:     flac
Suggests:       cd-discid
Suggests:       cdrdao
Suggests:       ImageMagick
Suggests:       lame
Suggests:       libcdio-paranoia
Suggests:       normalize
Suggests:       opus-tools
Suggests:       speex-tools
Suggests:       twolame
Suggests:       wavpack
Suggests:       vorbisgain
# eyeD3 is smaller than id3v2
Suggests:       %{_bindir}/eyeD3
Conflicts:      python-eyed3 < 0.7.0

%description
abcde is a front end command line utility (actually, a shell script)
that grabs audio tracks off a CD, encodes them to various formats, and
tags them, all in one go.


%prep
%autosetup
mv examples/cue2discid .
sed -i -e 's|bin/python\b|bin/python3|' cue2discid
chmod -c -x examples/musicbrainz-get-tracks


%build


%install
%make_install prefix=%{_prefix} sysconfdir=%{_sysconfdir}
rm -r $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version} # handled separately
install -pm 755 cue2discid $RPM_BUILD_ROOT%{_bindir}


%files
%license COPYING
%doc FAQ README changelog examples/
%config(noreplace) %{_sysconfdir}/abcde.conf
%{_bindir}/abcde
%{_bindir}/abcde-musicbrainz-tool
%{_bindir}/cddb-tool
%{_bindir}/cue2discid
%{_mandir}/man1/abcde.1*
%{_mandir}/man1/cddb-tool.1*

%changelog
* Fri Nov 15 2024 - Adrien_D <adriend@fedora.lan> 2.9.3-2.el9
- Build EL9
